package com.op.wms.mapper;

import java.util.List;

import com.op.wms.domain.BaseTeamT;

/**
 * 班组Mapper接口
 * 
 * @author Open Platform
 * @date 2023-07-05
 */
public interface BaseTeamTMapper {
	/**
	 * 查询班组
	 * 
	 * @param teamId 班组主键
	 * @return 班组
	 */
	public BaseTeamT selectBaseTeamTByTeamId(String teamId);

	/**
	 * 查询班组列表
	 * 
	 * @param baseTeamT 班组
	 * @return 班组集合
	 */
	public List<BaseTeamT> selectBaseTeamTList(BaseTeamT baseTeamT);

	/**
	 * 新增班组
	 * 
	 * @param baseTeamT 班组
	 * @return 结果
	 */
	public int insertBaseTeamT(BaseTeamT baseTeamT);

	/**
	 * 修改班组
	 * 
	 * @param baseTeamT 班组
	 * @return 结果
	 */
	public int updateBaseTeamT(BaseTeamT baseTeamT);

	/**
	 * 删除班组
	 * 
	 * @param teamId 班组主键
	 * @return 结果
	 */
	public int deleteBaseTeamTByTeamId(String teamId);

	/**
	 * 批量删除班组
	 * 
	 * @param teamIds 需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteBaseTeamTByTeamIds(String[] teamIds);
}
